<?php
    session_start();
    require('../../conexion.php');

    $i=0;
    $user_id = $_SESSION['cveUsuario'];
	$result = query("SELECT ntv.id, ntv.ntv_no_nota, ntv.ntv_fecha_creacion, ntv.ntv_hora_ini, ntv.ntv_hora_edt, ntv.ntv_zona_ate, 
                        ntv.ntv_roll_clave, 
                        case when ntv.ntv_estatus = 'pendiente' then 'P' 
                            when ntv.ntv_estatus = 'abierto' then 'A'
                            when ntv.ntv_estatus = 'impreso' then 'P' END ntv_estatus, ntv.ntv_observaciones, ntv.ntv_subtotal, ntv.ntv_total_descuento,
                        ntv.ntv_total_nota, ntv.ntv_total_nota_letra, ntv.ntv_no_mesa, ntv.ntv_no_personas,  pdn.pdn_comensal, 
                        count(pdn.id) cant_productos, 
                        us.uss_nombre, case when ntv.ntv_estatus='impreso' then '1' ELSE '0' END activar_color
                        FROM notas_venta AS ntv
                        LEFT JOIN productos_nota AS pdn ON pdn.id_nota_venta = ntv.id
                        INNER JOIN usuarios AS us ON us.id = ntv.id_usuario 
                        WHERE ntv.ntv_estatus IN('pendiente', 'abierto','impreso') AND us.id = '$user_id'
                        GROUP BY ntv.id ORDER BY ntv.id DESC; ");
    
    while($row = mysqli_fetch_assoc($result)){
        $rowdata[$i] = $row;
        $i++;
    }

    if ($i>0){
        $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
    } else {
        $res =  '[{"id":"0"}]';	
    }
    echo $res;
    
?>